#include <stdio.h>

class Point
{
 public:
  unsigned x, y;

  Point();
  Point(unsigned X, unsigned Y);
  ~Point();
  unsigned long Arie()
  {
    return x * y;
  };
  unsigned GetX();
  unsigned GetY();
  void SetX(unsigned X);
  void SetY(unsigned Y);
};

Point::Point()
// constructor implicit
{
  x = 0;
  y = 0;
}

Point::Point(unsigned X, unsigned Y)
{
  x = X;
  y = Y;
}

Point::~Point()
{
}

unsigned Point::GetX()
{
  return x;
}

unsigned Point::GetY()
{
  return y;
}

void Point::SetX(unsigned X)
{
  x = X;
}

void Point::SetY(unsigned Y)
{
  y = Y;
}

class GraphicPoint : Point
{
 public:
  unsigned color;

  GraphicPoint(unsigned X, unsigned Y, unsigned Color);
  ~GraphicPoint();
  void Draw();
  void SetX(unsigned X);
  void SetY(unsigned Y);
};

GraphicPoint::GraphicPoint(unsigned X, unsigned Y, unsigned Color) : Point(X, Y)
{
  color = Color;
}

GraphicPoint::~GraphicPoint()
{
}

void GraphicPoint::Draw()
{
  //
  // apelare primitive grafice pentru desenarea efectiva a punctului
}

void GraphicPoint::SetX(unsigned X)
{
  Point::SetX(X); // apelul functiei SetX() apartinand clasei de baza
  Draw();
}

void GraphicPoint::SetY(unsigned Y)
{
  Point::SetY(Y);
  Draw();
}

void main()
{
  Point *p;

  p = new Point;
  p->x = 5;
  p->y = 10;
  printf("Aria = %d\n", p->Arie());
  delete p;
}
