#ifndef _CAP4_H
#define _CAP4_H

class Point
{
 protected:
  unsigned x, y;

 public:
  Point();
  Point(Point &p);
  Point(unsigned X, unsigned Y);
  ~Point();
  unsigned long Arie();
  unsigned GetX();
  unsigned GetY();
  void SetX(unsigned X);
  void SetY(unsigned Y);
  Point& operator += (Point __p);
  Point& operator -= (Point __p);
  Point operator + (Point __p);
  Point operator - (Point __p);
  Point& operator = (Point __p);
  int operator == (Point __p);
  int operator != (Point __p);
  int operator < (Point __p);
  int operator > (Point __p);
  int operator <= (Point __p);
  int operator >= (Point __p);
};

class GraphicPoint : public Point
{
  unsigned color;

 public:
  GraphicPoint(unsigned X, unsigned Y, unsigned Color);
  ~GraphicPoint();
  void Draw();
  void SetX(unsigned X);
  void SetY(unsigned Y);
};

#endif
