#include <iostream.h>

class Point
{
 protected:
  unsigned x, y;

 friend ostream& operator << (ostream& output, Point p);
 public:
  Point()
    {
    x = 0;
    y = 0;
    }
  Point(unsigned X, unsigned Y)
    {
    x = X;
    y = Y;
    }
  ~Point() {}
  unsigned GetX()
    {
    return x;
    }
  unsigned GetY()
    {
    return y;
    }
  void SetX(unsigned X)
    {
    x = X;
    }
  void SetY(unsigned Y)
    {
    y = Y;
    }
};

ostream& operator << (ostream& output, Point p)
{
  output << "(" << p.x << ", " << p.y << ")";
  return output;
}

template <class T> class Item {
 public:
  Item *Next;
  T *Data;
  Item(T __Data, Item <T> *__Next)
    {
    Data = new T(__Data);
    Next = __Next;
    }
};

template <class T> class List {
 public:
  T pop_front()
    {
    T result = *(Data->Data);
    Item <T> *temp = Data;
    Data = Data->Next;
    delete temp;
    return result;
    }
  T front()
    {
    return *(Data->Data);
    }
  void push_front(T __Data)
    {
    Data = new Item <T>(__Data, Data);
    }
  int empty()
    {
    return Data == 0;
    }
  List()
    {
    Data = 0;
    }
  class Iterator {
   friend class List <T>;
   protected:
    Item <T> *Current;
    Iterator(Item <T> *x)
      {
      Current = x;
      }
   public:
    Iterator() {}
    int operator == (Iterator& x)
      {
      return Current == x.Current;
      }
    int operator != (Iterator& x)
      {
      return Current != x.Current;
      }
    T operator *()
      {
      return *(Current->Data);
      }
    Iterator& operator ++(int)
      {
      Current = Current->Next;
      return *this;
      }
  };
  Iterator begin()
    {
    return Iterator(Data);
    }
  Iterator end()
    {
    Item <T> *temp;
    for(temp = Data; temp; temp = temp->Next);
    return Iterator(temp);
    }
 private:
  Item <T> *Data;
};

main()
{
  List <Point> anPointList;
  List <Point>::Iterator index, end;
  anPointList.push_front(Point(1, 1));
  anPointList.push_front(Point(3, 14));
  index = anPointList.begin();
  end = anPointList.end();
  if(anPointList.empty())
    cout << "Lista vida" << endl;
   else
    for(; index != end; index++)
      cout << *index << " ";
  cout << endl;
}
